For the complete documentation index, see llms.txt. This page is also available as Markdown.

Templates

get
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Query parameters
pagenumberRequired
ippnumberRequired
typestringRequired
statusstringRequired
searchstringRequired
areaIdstringRequired
subtypestringRequired
regionIdstringRequired
podIdstringRequired
courtIdstringRequired
Responses
200Success
application/json
_totalnumberRequired
get/templates
GET /apis/v2/templates?page=1&ipp=1&type=text&status=text&search=text&areaId=text&subtype=text&regionId=text&podId=text&courtId=text HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200Success
{
  "items": [
    {
      "id": "text",
      "_links": {
        "self": {
          "href": "text"
        }
      },
      "type": "text",
      "status": "text",
      "name": "text",
      "description": "text",
      "version": 1,
      "data": {},
      "regions": {
        "items": [
          {
            "id": "text"
          }
        ],
        "_total": 1,
        "_links": {
          "self": {
            "href": "text"
          }
        }
      },
      "areas": {
        "items": [
          {
            "id": "text"
          }
        ],
        "_total": 1,
        "_links": {
          "self": {
            "href": "text"
          }
        }
      },
      "pods": {
        "items": [
          {
            "id": "text"
          }
        ],
        "_total": 1,
        "_links": {
          "self": {
            "href": "text"
          }
        }
      },
      "courts": {
        "items": [
          {
            "id": "text"
          }
        ],
        "_total": 1,
        "_links": {
          "self": {
            "href": "text"
          }
        }
      },
      "createdBy": {
        "id": "text"
      },
      "lastUpdatedBy": {
        "id": "text"
      },
      "createdDate": "2026-01-01T00:00:00.000Z",
      "updatedDate": "2026-01-01T00:00:00.000Z"
    }
  ],
  "_pagination": {
    "page": 1,
    "ipp": 1,
    "count": 1,
    "total": 1
  },
  "_total": 1,
  "_links": {
    "self": {
      "href": "text"
    }
  }
}
post
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
namestringRequired
descriptionstringOptional
typestring · enumRequiredPossible values:
statusstring · enumOptionalPossible values:
dataobjectRequired
Responses
201Success
application/json
idstringRequired

The unique identifier of the resource

typestringRequired
statusstringRequired
namestringRequired
descriptionstringOptional
versionnumberRequired
dataobjectRequired
createdDatestring · date-timeRequired
updatedDatestring · date-timeRequired
post/templates
POST /apis/v2/templates HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 396

{
  "name": "text",
  "description": "text",
  "type": "EVENT",
  "status": "DRAFT",
  "data": {},
  "areas": {
    "items": [
      {
        "id": "text"
      }
    ],
    "_total": 1,
    "_links": {
      "self": {
        "href": "text"
      }
    }
  },
  "regions": {
    "items": [
      {
        "id": "text"
      }
    ],
    "_total": 1,
    "_links": {
      "self": {
        "href": "text"
      }
    }
  },
  "pods": {
    "items": [
      {
        "id": "text"
      }
    ],
    "_total": 1,
    "_links": {
      "self": {
        "href": "text"
      }
    }
  },
  "courts": {
    "items": [
      {
        "id": "text"
      }
    ],
    "_total": 1,
    "_links": {
      "self": {
        "href": "text"
      }
    }
  }
}
201Success
{
  "id": "text",
  "_links": {
    "self": {
      "href": "text"
    }
  },
  "type": "text",
  "status": "text",
  "name": "text",
  "description": "text",
  "version": 1,
  "data": {},
  "regions": {
    "items": [
      {
        "id": "text"
      }
    ],
    "_total": 1,
    "_links": {
      "self": {
        "href": "text"
      }
    }
  },
  "areas": {
    "items": [
      {
        "id": "text"
      }
    ],
    "_total": 1,
    "_links": {
      "self": {
        "href": "text"
      }
    }
  },
  "pods": {
    "items": [
      {
        "id": "text"
      }
    ],
    "_total": 1,
    "_links": {
      "self": {
        "href": "text"
      }
    }
  },
  "courts": {
    "items": [
      {
        "id": "text"
      }
    ],
    "_total": 1,
    "_links": {
      "self": {
        "href": "text"
      }
    }
  },
  "createdBy": {
    "id": "text"
  },
  "lastUpdatedBy": {
    "id": "text"
  },
  "createdDate": "2026-01-01T00:00:00.000Z",
  "updatedDate": "2026-01-01T00:00:00.000Z"
}
get
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
idstringRequired
Responses
200Success
application/json
idstringRequired

The unique identifier of the resource

typestringRequired
statusstringRequired
namestringRequired
descriptionstringOptional
versionnumberRequired
dataobjectRequired
createdDatestring · date-timeRequired
updatedDatestring · date-timeRequired
get/templates/{id}
GET /apis/v2/templates/{id} HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200Success
{
  "id": "text",
  "_links": {
    "self": {
      "href": "text"
    }
  },
  "type": "text",
  "status": "text",
  "name": "text",
  "description": "text",
  "version": 1,
  "data": {},
  "regions": {
    "items": [
      {
        "id": "text"
      }
    ],
    "_total": 1,
    "_links": {
      "self": {
        "href": "text"
      }
    }
  },
  "areas": {
    "items": [
      {
        "id": "text"
      }
    ],
    "_total": 1,
    "_links": {
      "self": {
        "href": "text"
      }
    }
  },
  "pods": {
    "items": [
      {
        "id": "text"
      }
    ],
    "_total": 1,
    "_links": {
      "self": {
        "href": "text"
      }
    }
  },
  "courts": {
    "items": [
      {
        "id": "text"
      }
    ],
    "_total": 1,
    "_links": {
      "self": {
        "href": "text"
      }
    }
  },
  "createdBy": {
    "id": "text"
  },
  "lastUpdatedBy": {
    "id": "text"
  },
  "createdDate": "2026-01-01T00:00:00.000Z",
  "updatedDate": "2026-01-01T00:00:00.000Z"
}
delete
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
idstringRequired
Responses
204Success

No content

delete/templates/{id}
DELETE /apis/v2/templates/{id} HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
204Success

No content

patch
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
idstringRequired
Body
namestringOptional
descriptionstringOptional
statusstring · enumOptionalPossible values:
dataobjectOptional
Responses
200Success
application/json
idstringRequired

The unique identifier of the resource

typestringRequired
statusstringRequired
namestringRequired
descriptionstringOptional
versionnumberRequired
dataobjectRequired
createdDatestring · date-timeRequired
updatedDatestring · date-timeRequired
patch/templates/{id}
PATCH /apis/v2/templates/{id} HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 381

{
  "name": "text",
  "description": "text",
  "status": "DRAFT",
  "data": {},
  "areas": {
    "items": [
      {
        "id": "text"
      }
    ],
    "_total": 1,
    "_links": {
      "self": {
        "href": "text"
      }
    }
  },
  "regions": {
    "items": [
      {
        "id": "text"
      }
    ],
    "_total": 1,
    "_links": {
      "self": {
        "href": "text"
      }
    }
  },
  "pods": {
    "items": [
      {
        "id": "text"
      }
    ],
    "_total": 1,
    "_links": {
      "self": {
        "href": "text"
      }
    }
  },
  "courts": {
    "items": [
      {
        "id": "text"
      }
    ],
    "_total": 1,
    "_links": {
      "self": {
        "href": "text"
      }
    }
  }
}
200Success
{
  "id": "text",
  "_links": {
    "self": {
      "href": "text"
    }
  },
  "type": "text",
  "status": "text",
  "name": "text",
  "description": "text",
  "version": 1,
  "data": {},
  "regions": {
    "items": [
      {
        "id": "text"
      }
    ],
    "_total": 1,
    "_links": {
      "self": {
        "href": "text"
      }
    }
  },
  "areas": {
    "items": [
      {
        "id": "text"
      }
    ],
    "_total": 1,
    "_links": {
      "self": {
        "href": "text"
      }
    }
  },
  "pods": {
    "items": [
      {
        "id": "text"
      }
    ],
    "_total": 1,
    "_links": {
      "self": {
        "href": "text"
      }
    }
  },
  "courts": {
    "items": [
      {
        "id": "text"
      }
    ],
    "_total": 1,
    "_links": {
      "self": {
        "href": "text"
      }
    }
  },
  "createdBy": {
    "id": "text"
  },
  "lastUpdatedBy": {
    "id": "text"
  },
  "createdDate": "2026-01-01T00:00:00.000Z",
  "updatedDate": "2026-01-01T00:00:00.000Z"
}
get
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
idstringRequired
Responses
200Success
application/json
_totalnumberRequired
get/templates/{id}/versions
GET /apis/v2/templates/{id}/versions HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200Success
{
  "items": [
    {
      "id": "text",
      "_links": {
        "self": {
          "href": "text"
        }
      },
      "version": 1,
      "name": "text",
      "description": "text",
      "status": "text",
      "data": {},
      "regions": {
        "items": [
          {
            "id": "text"
          }
        ],
        "_total": 1,
        "_links": {
          "self": {
            "href": "text"
          }
        }
      },
      "areas": {
        "items": [
          {
            "id": "text"
          }
        ],
        "_total": 1,
        "_links": {
          "self": {
            "href": "text"
          }
        }
      },
      "pods": {
        "items": [
          {
            "id": "text"
          }
        ],
        "_total": 1,
        "_links": {
          "self": {
            "href": "text"
          }
        }
      },
      "courts": {
        "items": [
          {
            "id": "text"
          }
        ],
        "_total": 1,
        "_links": {
          "self": {
            "href": "text"
          }
        }
      },
      "changedBy": {
        "id": "text"
      },
      "changedDate": "2026-01-01T00:00:00.000Z",
      "changeAction": "text"
    }
  ],
  "_total": 1,
  "_links": {
    "self": {
      "href": "text"
    }
  }
}
post
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
idstringRequired
Body
versionnumberRequired
Responses
200Success
application/json
idstringRequired

The unique identifier of the resource

typestringRequired
statusstringRequired
namestringRequired
descriptionstringOptional
versionnumberRequired
dataobjectRequired
createdDatestring · date-timeRequired
updatedDatestring · date-timeRequired
post/templates/{id}/rollback
POST /apis/v2/templates/{id}/rollback HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 13

{
  "version": 1
}
200Success
{
  "id": "text",
  "_links": {
    "self": {
      "href": "text"
    }
  },
  "type": "text",
  "status": "text",
  "name": "text",
  "description": "text",
  "version": 1,
  "data": {},
  "regions": {
    "items": [
      {
        "id": "text"
      }
    ],
    "_total": 1,
    "_links": {
      "self": {
        "href": "text"
      }
    }
  },
  "areas": {
    "items": [
      {
        "id": "text"
      }
    ],
    "_total": 1,
    "_links": {
      "self": {
        "href": "text"
      }
    }
  },
  "pods": {
    "items": [
      {
        "id": "text"
      }
    ],
    "_total": 1,
    "_links": {
      "self": {
        "href": "text"
      }
    }
  },
  "courts": {
    "items": [
      {
        "id": "text"
      }
    ],
    "_total": 1,
    "_links": {
      "self": {
        "href": "text"
      }
    }
  },
  "createdBy": {
    "id": "text"
  },
  "lastUpdatedBy": {
    "id": "text"
  },
  "createdDate": "2026-01-01T00:00:00.000Z",
  "updatedDate": "2026-01-01T00:00:00.000Z"
}
post
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
eventIdstringRequired
Body
namestringRequired
descriptionstringOptional
statusstring · enumOptionalPossible values:
Responses
201Success
application/json
idstringRequired

The unique identifier of the resource

typestringRequired
statusstringRequired
namestringRequired
descriptionstringOptional
versionnumberRequired
dataobjectRequired
createdDatestring · date-timeRequired
updatedDatestring · date-timeRequired
post/templates/from-event/{eventId}
POST /apis/v2/templates/from-event/{eventId} HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 371

{
  "name": "text",
  "description": "text",
  "status": "DRAFT",
  "areas": {
    "items": [
      {
        "id": "text"
      }
    ],
    "_total": 1,
    "_links": {
      "self": {
        "href": "text"
      }
    }
  },
  "regions": {
    "items": [
      {
        "id": "text"
      }
    ],
    "_total": 1,
    "_links": {
      "self": {
        "href": "text"
      }
    }
  },
  "pods": {
    "items": [
      {
        "id": "text"
      }
    ],
    "_total": 1,
    "_links": {
      "self": {
        "href": "text"
      }
    }
  },
  "courts": {
    "items": [
      {
        "id": "text"
      }
    ],
    "_total": 1,
    "_links": {
      "self": {
        "href": "text"
      }
    }
  }
}
201Success
{
  "id": "text",
  "_links": {
    "self": {
      "href": "text"
    }
  },
  "type": "text",
  "status": "text",
  "name": "text",
  "description": "text",
  "version": 1,
  "data": {},
  "regions": {
    "items": [
      {
        "id": "text"
      }
    ],
    "_total": 1,
    "_links": {
      "self": {
        "href": "text"
      }
    }
  },
  "areas": {
    "items": [
      {
        "id": "text"
      }
    ],
    "_total": 1,
    "_links": {
      "self": {
        "href": "text"
      }
    }
  },
  "pods": {
    "items": [
      {
        "id": "text"
      }
    ],
    "_total": 1,
    "_links": {
      "self": {
        "href": "text"
      }
    }
  },
  "courts": {
    "items": [
      {
        "id": "text"
      }
    ],
    "_total": 1,
    "_links": {
      "self": {
        "href": "text"
      }
    }
  },
  "createdBy": {
    "id": "text"
  },
  "lastUpdatedBy": {
    "id": "text"
  },
  "createdDate": "2026-01-01T00:00:00.000Z",
  "updatedDate": "2026-01-01T00:00:00.000Z"
}
post
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
seriesIdstringRequired
Body
namestringRequired
descriptionstringOptional
statusstring · enumOptionalPossible values:
Responses
201Success
application/json
idstringRequired

The unique identifier of the resource

typestringRequired
statusstringRequired
namestringRequired
descriptionstringOptional
versionnumberRequired
dataobjectRequired
createdDatestring · date-timeRequired
updatedDatestring · date-timeRequired
post/templates/from-series/{seriesId}
POST /apis/v2/templates/from-series/{seriesId} HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 371

{
  "name": "text",
  "description": "text",
  "status": "DRAFT",
  "areas": {
    "items": [
      {
        "id": "text"
      }
    ],
    "_total": 1,
    "_links": {
      "self": {
        "href": "text"
      }
    }
  },
  "regions": {
    "items": [
      {
        "id": "text"
      }
    ],
    "_total": 1,
    "_links": {
      "self": {
        "href": "text"
      }
    }
  },
  "pods": {
    "items": [
      {
        "id": "text"
      }
    ],
    "_total": 1,
    "_links": {
      "self": {
        "href": "text"
      }
    }
  },
  "courts": {
    "items": [
      {
        "id": "text"
      }
    ],
    "_total": 1,
    "_links": {
      "self": {
        "href": "text"
      }
    }
  }
}
201Success
{
  "id": "text",
  "_links": {
    "self": {
      "href": "text"
    }
  },
  "type": "text",
  "status": "text",
  "name": "text",
  "description": "text",
  "version": 1,
  "data": {},
  "regions": {
    "items": [
      {
        "id": "text"
      }
    ],
    "_total": 1,
    "_links": {
      "self": {
        "href": "text"
      }
    }
  },
  "areas": {
    "items": [
      {
        "id": "text"
      }
    ],
    "_total": 1,
    "_links": {
      "self": {
        "href": "text"
      }
    }
  },
  "pods": {
    "items": [
      {
        "id": "text"
      }
    ],
    "_total": 1,
    "_links": {
      "self": {
        "href": "text"
      }
    }
  },
  "courts": {
    "items": [
      {
        "id": "text"
      }
    ],
    "_total": 1,
    "_links": {
      "self": {
        "href": "text"
      }
    }
  },
  "createdBy": {
    "id": "text"
  },
  "lastUpdatedBy": {
    "id": "text"
  },
  "createdDate": "2026-01-01T00:00:00.000Z",
  "updatedDate": "2026-01-01T00:00:00.000Z"
}

Last updated

Was this helpful?